Skip to main content
GET
/
account
/
activity-summary
Account Activity Summary
curl --request GET \
  --url https://api.pathstack.io/account/activity-summary \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "active_vehicles": [
      {
        "date": "<string>",
        "connection": "<string>",
        "count": 123
      }
    ],
    "trips_by_connection": [
      {
        "connection": "<string>",
        "count": 123
      }
    ],
    "events_by_day": [
      {
        "date": "<string>",
        "event_key": "<string>",
        "event_type": "<string>",
        "count": 123
      }
    ],
    "events_by_type": [
      {
        "event_key": "<string>",
        "event_type": "<string>",
        "count": 123
      }
    ],
    "limit": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-version
string<date>
default:2024-03-26
Example:

"2024-03-26"

Query Parameters

days
integer
default:14

Lookback window in days. Must be 7, 14, 30, or 90.

limit
integer
default:10

Maximum number of results for trips_by_connection and events_by_type.

Required range: 1 <= x <= 100

Response

Successful Response

data
ActivitySummary · object
required

Successful response payload